/* Header */
h1 {
    height: 42px;
    line-height: 42px;
    position: relative;
}

h1:after {
    position: absolute;
    right: 2px;
    top: 2px;
    vertical-align: top !important;
}

dl.header {
    margin: 0 auto;
    width: fit-content;
}

dl.header dt,
dl.header dd {
    float: left;
    height: 16px;
    line-height: 16px;
    margin-bottom: 2px;
}

dl.header dt {
    margin-right: 3px;
}

/* New Team (with empty page) */
fieldset.new-team {
    font-style: italic;
    margin: 0 auto;
    width: fit-content;
}

/* Favourite Team */
div.favourite button {
    line-height: 19px;
}

div.favourite button .icons {
    display: inline-block;
    width: 19px;
}

div.favourite button .icons:after,
div.favourite button:hover .icons:before {
    display: none;
}

div.favourite button:hover .icons:after {
    display: inline-block;
}

@media only screen and (min-width: 551px) {
    content {
        position: relative;
    }

    h1 {
        z-index: 20;
    }

    div.favourite {
        left: 2px;
        position: absolute;
        top: 2px;
        z-index: 30;
    }
}

@media only screen and (max-width: 550px) {
    div.favourite {
        text-align: center;
    }
}

/* Home - Schedule */
ul.recent li {
    float: left;
    text-align: center;
}

ul.recent li .opp {
    margin: 2px 0;
}

ul.recent li .opp:after {
    margin-left: 3px;
}

ul.recent .row-head,
ul.standings li.div,
ul.stats dt.row-head,
ul.leaders dt.row-head {
    border-radius: 4px 4px 0 0;
}

ul.recent dd.result,
ul.recent dd.status {
    border-radius: 0 0 4px 4px;
}

/* Home - Standings */
ul.standings li {
    height: 20px;
    line-height: 20px;
}

ul.standings li:not(.div) {
    margin-top: 2px;
}

ul.standings .div {
    box-sizing: border-box;
    padding: 0 67px 0 3px;
    position: relative;
    text-align: center;
    width: 100%;
}

ul.standings .div:after {
    position: absolute;
    right: 0;
    top: 0;
}

ul.standings .div,
ul.standings .header {
    font-weight: bold;
}

ul.standings .team {
    padding: 0 3px;
}

ul.standings .col {
    float: right;
    margin-left: 2px;
    text-align: center;
    width: 40px;
}

ul.standings .col-empty {
    visibility: hidden;
}

/* Home - Stats / Leaders */
ul.stats li,
ul.leaders li {
    text-align: center;
}

ul.stats li.title,
ul.leaders li.title {
    font-weight: bold;
    height: 20px;
    line-height: 20px;
    margin-bottom: 2px;
    width: 100%;
}

ul.stats li.cell,
ul.leaders li.cell {
    float: left;
}

ul.leaders li.cell {
    float: left;
}

ul.stats li dt,
ul.leaders li dt {
    height: 20px;
    line-height: 20px;
    margin-bottom: 2px;
}

ul.stats li dd,
ul.leaders li dd {
    float: left;
}

ul.stats li dd {
    float: left;
    height: 24px;
    line-height: 24px;
}

ul.stats li .rank {
    color: #333333;
    font-size: 20px;
    font-weight: bold;
    width: 55%;
}

ul.stats li .value {
    font-size: 12px;
    width: 45%;
}

ul.leaders li .name {
    height: 16px;
    line-height: 16px;
    margin-bottom: 2px;
    width: 100%;
}

ul.leaders li .value {
    color: #333333;
    display: table;
    font-size: 24px;
    height: 75px;
    width: calc(100% - 50px);
}

ul.leaders li .value span {
    display: table-cell;
    vertical-align: middle;
}

/* Responsive - Home - Desktop */
@media only screen and (min-width: 1002px) {
    ul.standings {
        float: right;
        width: 290px;
    }

    ul.recent,
    ul.stats,
    ul.leaders {
        float: left;
        width: 702px;
    }

    ul.recent li,
    ul.stats li {
        width: 109px;
    }

    ul.stats li.title,
    ul.leaders li.title {
        margin-right: 1px;
        width: calc(100% - 1px);
    }

    ul.leaders li {
        width: 226px;
    }
}

/* Responsive - Home - Tablets */
@media only screen and (min-width: 701px) {
    dl.header dd:not(:last-of-type) {
        margin-right: 13px;
    }
}

@media only screen and (max-width: 700px) {
    dl.header dt {
        clear: left;
    }
}

@media only screen and (min-width: 701px) and (max-width: 1001px) {
    ul.recent li {
        width: calc((100% / 6) - 8px);
    }

    ul.standings,
    ul.stats {
        float: left;
        width: calc(50% - 4px);
    }

    ul.leaders {
        clear: left;
    }

    ul.stats li,
    ul.leaders li {
        width: calc((100% / 3) - 8px);
    }
}

@media only screen and (min-width: 481px) and (max-width: 700px) {
    ul.recent li,
    ul.leaders li {
        width: calc((100% / 3) - 8px);
    }

    ul.standings,
    ul.stats {
        float: left;
    }

    ul.standings {
        width: calc(66.66667% - 8px);
    }

    ul.stats {
        width: 33.33333%;
    }

    ul.stats li {
        width: calc(100% - 8px);
    }

    ul.leaders {
        clear: left;
    }
}

/* Responsive - Home - Mobile */
@media only screen and (max-width: 480px) {
    h1 {
        padding-right: 130px;
    }

    dl.header .game {
        display: none;
    }

    ul.recent,
    ul.stats,
    ul.leaders {
        width: 100%;
    }

    ul.recent li,
    ul.stats li.cell,
    ul.leaders li.cell {
        width: calc(33.33333% - 8px);
    }

    ul.leaders li .value unit:before {
        content: "\a";
        white-space: pre;
    }

    ul.stats li.row-head,
    ul.leaders li.row-head {
        margin: 0 2px 2px;
        width: calc(100% - 4px);
    }

    ul.standings {
        width: calc(100% - 8px);
    }
}

/* Common */
div.tab-dropdown {
    height: 24px;
}

div.tab-dropdown dl {
    position: absolute;
    width: 70px;
}

/* Tab Loading */
.subnav-tab {
    position: relative;
}

.tab-loading {
    height: 100%;
    left: 0;
    min-height: 100px;
    position: absolute;
    top: 0;
    width: 100%;
}

.tab-loading .bg {
    background-color: #666666;
    height: 100%;
    left: 0;
    opacity: 0.5;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

.tab-loading .loading {
    left: calc(50% - 77px);
    line-height: 16px;
    position: absolute;
    text-align: center;
    top: calc(50% - 15px);
    width: 140px;
    z-index: 20;
}

.tab-loading .loading:before {
    vertical-align: middle !important;
}

/* Schedule */
div.schedule ul.months {
    line-height: 20px;
    margin: 0 auto;
    width: fit-content;
}

div.schedule ul.months li {
    float: left;
}

div.schedule ul.months li:not(:last-of-type):after {
    content: "::";
    display: inline-block;
    margin: 0 3px;
}

div.schedule ul.months li .sel {
    font-weight: bold;
}

/* Responsive - Schedule */
@media only screen and (max-width: 642px) {
    div.schedule ul.months li .full {
        display: none;
    }

    div.schedule div.months {
        margin-bottom: 2px;
        text-align: center;
    }

    .subnav-schedule div.tab-dropdown dl {
        right: 2px;
    }

    div.schedule dl.games {
        width: 100%;
    }

    div.schedule dl.games dt {
        display: none;
    }

    div.schedule dl.games dd.games-0 {
        display: none;
    }

    div.schedule dl.games dd .row-head {
        font-weight: bold;
        line-height: 16px;
        padding-left: 3px;
    }

    div.schedule dl.games dd .game {
        height: 20px;
        margin-bottom: 2px;
        position: relative;
    }

    div.schedule dl.games dd .game .opp,
    div.schedule dl.games dd .game .opp-name {
        float: left;
    }

    div.schedule dl.games dd .game .opp-name,
    div.schedule dl.games dd .game .info,
    div.schedule dl.games dd .game.with-links .links {
        line-height: 20px;
    }

    div.schedule dl.games dd .game .opp {
        margin-left: 3px;
    }

    div.schedule dl.games dd .game .opp span {
        display: inline-block;
        text-align: center;
        width: 10px;
    }

    div.schedule dl.games dd .game .opp-name {
        padding-left: 3px;
    }

    div.schedule dl.games dd .game .info,
    div.schedule dl.games dd .game.with-links .links {
        position: absolute;
        top: 0;
    }

    div.schedule dl.games dd .game.no-links .info,
    div.schedule dl.games dd .game.with-links .links {
        right: 3px;
    }

    div.schedule dl.games dd .game.with-links .info {
        right: 23px;
    }

    div.schedule dl.games dd .game.with-links .links {
        background-color: unset;
        text-align: right;
        width: 20px;
    }

    div.schedule dl.games dd .game.with-links .secondary-link {
        display: none;
    }

    div.schedule dl.games dd .game .links {
        clear: left;
    }
}

@media only screen and (min-width: 643px) {
    div.schedule ul.months li .mini,
    div.schedule dl.games .opp-name {
        display: none;
    }

    .subnav-schedule div.tab-dropdown,
    div.schedule dl.games {
        margin: 0 auto;
        width: 642px;
    }

    .subnav-schedule div.tab-dropdown dl {
        margin-left: 572px;
    }

    div.schedule dl.games dt,
    div.schedule dl.games dd {
        float: left;
        width: 90px;
    }

    div.schedule dl.games .dow-mon {
        clear: left;
    }

    div.schedule dl.games dt:not(.dow-mon),
    div.schedule dl.games dd:not(.dow-mon) {
        margin-left: 2px;
    }

    div.schedule dl.games dt {
        line-height: 20px;
        text-align: center;
    }

    div.schedule dl.games dd {
        margin-top: 2px;
        min-height: 38px;
        position: relative;
    }

    div.schedule dl.games dd .game {
        z-index: 5;
    }

    div.schedule dl.games dd .row-head {
        border-bottom-left-radius: 5px;
        line-height: 18px;
        position: absolute;
        right: 0;
        text-align: center;
        top: 0;
        width: 30px;
    }

    div.schedule dl.games dd .row-head span {
        display: none;
    }

    div.schedule dl.games dd .opp {
        height: 20px;
        text-align: center;
    }

    div.schedule dl.games dd .opp:after {
        margin-left: 3px;
    }

    div.schedule dl.games dd .info {
        line-height: 18px;
        text-align: center;
    }

    div.schedule dl.games dd .links {
        bottom: -20px;
        display: none;
        line-height: 20px;
        position: absolute;
        text-align: center;
        width: 100%;
        z-index: 10;
    }

    div.schedule dl.games dd:hover .links {
        display: block;
    }

    div.schedule dl.games dd .links a {
        height: 16px;
        margin: 0 1px;
        width: 16px;
    }
}

/* Roster */
.subnav-roster div.tab-dropdown,
dl.roster {
    margin: 0 auto;
    width: 625px;
}

dl.roster dd {
    float: left;
    height: 45px;
    line-height: 45px;
    text-align: center;
}

dl.roster dt,
dl.roster dd.mugshot {
    clear: left;
    margin-bottom: 2px;
}

dl.roster dt {
    line-height: 18px;
    padding-left: 3px;
}

dl.roster dd.jersey {
    font-weight: bold;
    width: 40px;
}

dl.roster dd.name {
    text-align: left;
    width: 175px;
}

dl.roster dd.name abbrev {
    border-bottom-style: dotted;
    border-bottom-width: 1px;
    cursor: help;
    font-size: 80%;
}

dl.roster dd.pos {
    width: 30px;
}

dl.roster dd.height,
dl.roster dd.weight {
    width: 35px;
}

dl.roster dd.dob {
    width: 80px;
}

dl.roster dd.birthplace {
    padding-left: 3px;
    text-align: left;
    width: 197px;
}

/* Responsive - Roster */
@media only screen and (min-width: 640px) {
    .subnav-roster div.tab-dropdown dl {
        margin-left: 555px;
    }
}

@media only screen and (max-width: 639px) {
    .subnav-roster div.tab-dropdown,
    dl.roster {
        width: 100%;
    }

    .subnav-roster div.tab-dropdown dl {
        right: 0;
    }

    dl.roster dd.name {
        width: calc(100% - 170px);
    }

    dl.roster dd.dob,
    dl.roster dd.birthplace {
        display: none;
    }
}

/* Standings */
.subnav-standings div.tab-dropdown dl {
    right: 2px;
}

.chart#chart-standings .highcharts-yaxis-grid:nth-child(2n-1) path {
    display: none;
}

.chart#chart-standings .highcharts-color-1 {
    fill: #90ed7d;
}

.chart#chart-standings .highcharts-color-2 {
    fill: #f45b5b;
}

.chart#chart-standings div.game {
    height: 16px;
    line-height: 16px;
    margin-top: 2px;
}

.chart#chart-standings span.icon_right {
    margin: 0 3px;
}

.chart#chart-standings span.icon_right:after {
    vertical-align: top;
}

/* Power Ranks */
.subnav-power-ranks div.tab-dropdown dl {
    right: 2px;
}

fieldset.preseason {
    margin: 0 auto;
    max-width: fit-content;
}

/* Chart tooltips */
.chart#chart-standings g.highcharts-tooltip,
.chart#chart-power-ranks g.highcharts-tooltip {
    fill: none;
    opacity: 0;
    stroke: none;
}

.chart#chart-standings .highcharts-tooltip tooltip,
.chart#chart-power-ranks .highcharts-tooltip tooltip {
    background-color: #ffffff;
    border: 1px solid #7cb5ec;
    border-radius: 10px;
    color: #333333;
    display: block;
    opacity: 0.9;
    padding: 5px;
}

.chart#chart-standings tooltip span,
.chart#chart-standings tooltip strong,
.chart#chart-power-ranks tooltip span,
.chart#chart-power-ranks tooltip strong {
    display: inline-block;
    line-height: 16px;
}

.chart#chart-standings tooltip :before,
.chart#chart-power-ranks tooltip :before {
    margin-right: 3px;
}

/* History */
dl.history {
    margin-bottom: 2px;
}

dl.history dt,
dl.history dd {
    float: left;
    line-height: 20px;
}

dl.history dt,
dl.history dd.season,
dl.history dd.record {
    margin-top: 2px;
}

dl.history dt {
    clear: left;
}

dl.history .league {
    text-align: center;
    width: 100%;
}

dl.history .league.titles span {
    white-space: nowrap;
}

dl.history .league:nth-child(1) {
    margin: 0;
}

dl.history .aka {
    box-sizing: border-box;
    padding-left: 3px;
    width: 100%;
}

dl.history .season {
    margin-right: 2px;
    text-align: center;
    width: 50px;
}

dl.history .season.parts-2 {
    line-height: 42px;
}

dl.history .record {
    padding-left: 3px;
    width: calc(100% - 55px);
}

dl.history .playoffs {
    width: 100%;
}

dl.history .playoffs ul {
    margin: 0 3px;
}

/* Responsive - Pre-season - Mobile */
@media only screen and (max-width: 480px) {
    fieldset.preseason {
        text-align: center;
        width: 200px;
    }
}
